import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class DelayedActionsService {
    private chain;
    actionsFlow: Subject<Object>;
    private generateHash;
    private parseArray;
    addAction(callback: Function, time?: number | null, blocker?: boolean): number;
    rejectAction(hash: any): void;
    forceActions(hash: any): void;
    countActionsInProcess(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<DelayedActionsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DelayedActionsService>;
}
